Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.xquery
Class EvalException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--net.xfra.qizxopen.xquery.XQueryException
                        |
                        +--net.xfra.qizxopen.xquery.EvalException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EmptyException, TypeException

public class EvalException
extends XQueryException

XQuery Runtime exception. Holds the evaluation context valid at the time of the error.

See Also:
  Serialized Form

Constructor Summary
`EvalException(java.lang.String reason)`
`EvalException(java.lang.String reason, java.lang.Exception cause)`

Method Summary
`EvalContext` | `getContext()`
`void` | `printStack(Log log, int maxDepth)`
`void` | `setContext(EvalContext ctx)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvalException

    public EvalException(java.lang.String reason)

### EvalException

    public EvalException(java.lang.String reason,
                         java.lang.Exception cause)

Method Detail

### getContext

    public EvalContext getContext()

### setContext

    public void setContext(EvalContext ctx)

### printStack

    public void printStack(Log log,
                           int maxDepth)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD